@import url(./fontiran.css);

* {
  box-sizing: border-box;
  margin: 0px;
  padding: 0px;
  font-family: "Yekan Bakh FaNum", system-ui, sans-serif;
}

a {
  color: inherit;
  text-decoration: none;
}

a:hover {
  color: #2f5bea;
}

p {
  margin: 0;
}

body {
  position: relative;
  margin: 0;
  min-height: 100vh;
  background: #f0f4ff;
  display: flex;
  justify-content: center;
  align-items: center;
  direction: rtl;
}

.auth-bg {
  position: absolute;
  inset: 0;
  background-color: #f0f4ff;
  background-image: url(../images/croom-auth-bg.svg);
  background-repeat: no-repeat;
  background-position: center;
  z-index: -1;
}

.wrapper {
  width: 100%;
  max-width: 520px;
  margin-inline: 24px;
  box-shadow: 0px 12px 25px 0px #3157dc1a;
}

.card {
  background: #fff;
  border-radius: 16px;
  padding: 24px;
  padding-top: 16px;
  box-shadow: 0 12px 40px rgba(0, 0, 0, 0.08);
}

.header {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 32px;
}
.header a {
  width: 100%;
  max-width: 180px;
  padding-block: 1rem;
  font-weight: 700;
  font-size: 1rem;
  text-align: center;
  border-bottom: 1px solid #eaf0f6;
}
.header .auth-current-tab {
  position: relative;
  color: #3157dc;
}

.header .auth-current-tab::after {
  content: "";
  position: absolute;
  bottom: 0;
  right: 0;
  left: 0;
  height: 3px;
  background-color: #3157dc;
  width: 100%;
}

.header .auth-change-tab {
  color: #757575;
}

h1 {
  margin-bottom: 1rem;
  font-size: 20px;
  font-weight: 700;
  text-align: center;
  color: #212121;
}

.desc {
  text-align: center;
  font-size: 18px;
  font-weight: 500;
  color: #212121;
}

.auth-phonenumber {
  background-color: #f6f9fc;
  margin-top: 8px;
  padding: 8px 16px;
  border-radius: 8px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.auth-phonenumber a {
  display: grid;
  place-items: center;
}

.field {
  margin-top: 24px;
}

small.error {
  display: flex;
  align-items: center;
  gap: 4px;
  margin-top: 4px;
  color: #ea2b2b;
}

label {
  font-size: 1rem;
  font-weight: 500;
  color: #333333;
  margin-bottom: 4px;
  display: block;
}

input {
  width: 100%;
  padding: 12px 14px;
  border-radius: 10px;
  border: 1px solid #dcdfe6;
  font-size: 14px;
  outline: none;
}

input.error {
  border-color: #ea2b2b;
}

input::placeholder {
  color: #aaa;
}

input:focus {
  border-color: #2f5bea;
}

button {
  margin-top: 1.5rem;
  cursor: pointer;
  width: 100%;
  display: inline-block;
  padding: 10px;
  border: 0.125rem solid #3157dc;
  border-radius: 2rem;
  background-color: #3157dc;
  color: #fff;
  text-decoration: none;
  transition: all 0.2s ease;
}

button:disabled {
  background-color: #ccd3df;
  border-color: transparent;
}

form {
  color: #333333;
}

hr {
  border: none;
  height: 1px;
  background: #eaf0f6;
  margin-block: 1.5rem;
}

.form-links {
  margin-top: 0.5rem;
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  font-weight: 500;
  font-size: 14px;
}

.footer {
  text-align: center;
  font-size: 18px;
  font-weight: 500;
}

.footer a {
  color: #2f5bea;
  text-decoration: none;
  font-weight: 500;
}

.back {
  font-size: 18px;
  cursor: pointer;
}

.password-wrapper {
  position: relative;
}

.toggle-password {
  position: absolute;
  left: 14px;
  top: 50%;
  transform: translateY(-50%);
  width: 24px;
  height: 24px;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
}

.icon-eye {
  display: none;
}

.icon-show {
  display: block;
}

.toggle-password.active .icon-show {
  display: none;
}

.toggle-password.active .icon-hide {
  display: block;
}

.otp-wrapper {
  direction: ltr;
  margin-top: 27px;
  display: flex;
  justify-content: center;
  gap: 16px;
}

.otp-input {
  height: 56px;
  padding: 8px 12px;
  border-radius: 8px;
  border: 1px solid #ccd3df;
  text-align: center;
  font-size: 20px;
  font-weight: 700;
  outline: none;
  transition: all 0.2s ease;
}

.otp-input:focus {
  border-color: #3157dc;
  box-shadow: 0 0 0 3px rgba(49, 87, 220, 0.15);
}

.otp-input.filled {
  border-color: #3157dc;
}

.otp-timer {
  text-align: center;
  font-size: 18px;
  font-weight: 500;
  color: #424242;
}

#timer {
  color: #3157dc;
}

@media (max-width: 768px) {
  .auth-bg {
    display: none;
  }
  .desc {
    font-size: 16px;
  }

  small.error {
    align-items: flex-start;
  }

  .otp-wrapper {
    gap: 8px;
    margin-bottom: 80px;
  }

  .otp-input {
    height: 46px;
  }
}
